import { AlphaConfiguration } from './components/AlphaConfiguration';
import { BlendModeConfiguration } from './components/BlendModeConfiguration';
import { DepthConfiguration } from './components/DepthConfiguration';
import { FlipConfiguration } from './components/FlipConfiguration';
import { MaskConfiguration } from './components/MaskConfiguration';
import { OriginConfiguration } from './components/OriginConfiguration';
import { PipelineConfiguration } from './components/PipelineConfiguration';
import { ScrollFactorConfiguration } from './components/ScrollFactorConfiguration';
import { SizeConfiguration } from './components/SizeConfiguration';
import { TextureConfiguration } from './components/TextureConfiguration';
import { TintConfiguration } from './components/TintConfiguration';
import { TransformConfiguration } from './components/TransformConfiguration';
import { VisibleConfiguration } from './components/VisibleConfiguration';
import { GlobalConfiguration } from './global/GlobalConfiguration';
import { AnimationConfiguration } from './shared/AnimationConfiguration';
import { Types } from 'phaser';
import { Except } from 'type-fest';
export interface SpriteConfiguration extends AlphaConfiguration, AnimationConfiguration, BlendModeConfiguration, DepthConfiguration, Except<Types.GameObjects.Sprite.SpriteConfig, "anims" | "frame" | keyof Types.GameObjects.GameObjectConfig>, FlipConfiguration, GlobalConfiguration, MaskConfiguration, OriginConfiguration, PipelineConfiguration, ScrollFactorConfiguration, SizeConfiguration, TextureConfiguration, TintConfiguration, TransformConfiguration, VisibleConfiguration {
}
