import { AlphaSingleConfiguration } from '../components/AlphaSingleConfiguration';
import { BlendModeConfiguration } from '../components/BlendModeConfiguration';
import { DepthConfiguration } from '../components/DepthConfiguration';
import { MaskConfiguration } from '../components/MaskConfiguration';
import { OriginConfiguration } from '../components/OriginConfiguration';
import { PipelineConfiguration } from '../components/PipelineConfiguration';
import { ScrollFactorConfiguration } from '../components/ScrollFactorConfiguration';
import { TransformConfiguration } from '../components/TransformConfiguration';
import { VisibleConfiguration } from '../components/VisibleConfiguration';
import { GlobalConfiguration } from '../global/GlobalConfiguration';
import { GameObjects } from 'phaser';
export type ShapeConfiguration = AlphaSingleConfiguration & BlendModeConfiguration & DepthConfiguration & GlobalConfiguration & MaskConfiguration & OriginConfiguration & PipelineConfiguration & ScrollFactorConfiguration & TransformConfiguration & VisibleConfiguration & {
    active: GameObjects.Shape["active"];
    displayHeight: GameObjects.Shape["displayHeight"];
    displayWidth: GameObjects.Shape["displayWidth"];
    fillAlpha: GameObjects.Shape["fillAlpha"];
    fillColor: GameObjects.Shape["fillColor"];
    strokeStyle: Parameters<GameObjects.Shape["setStrokeStyle"]>;
};
