import { SceneWithPlugins } from '../models/scene/SceneWithPlugins';
import { Game } from 'phaser';
export declare const usePhaserStore: import('pinia').StoreDefinition<"phaser", Pick<{
    game: globalThis.WritableComputedRef<Game | undefined, Game | undefined>;
    isSameScene: (newSceneKey: SceneWithPlugins["scene"]["key"]) => boolean;
    launchParallelScene: (scene: SceneWithPlugins, sceneKey: SceneWithPlugins["scene"]["key"]) => void;
    parallelSceneKeys: globalThis.Ref<string[], string[]>;
    prioritizedParallelSceneKeys: globalThis.Ref<string[], string[]>;
    removeParallelScene: (scene: SceneWithPlugins, sceneKey: SceneWithPlugins["scene"]["key"]) => void;
    rootSceneKey: Ref<SceneWithPlugins["scene"]["key"]>;
    switchToScene: (newSceneKey: SceneWithPlugins["scene"]["key"]) => Promise<void>;
}, "parallelSceneKeys" | "prioritizedParallelSceneKeys" | "rootSceneKey">, Pick<{
    game: globalThis.WritableComputedRef<Game | undefined, Game | undefined>;
    isSameScene: (newSceneKey: SceneWithPlugins["scene"]["key"]) => boolean;
    launchParallelScene: (scene: SceneWithPlugins, sceneKey: SceneWithPlugins["scene"]["key"]) => void;
    parallelSceneKeys: globalThis.Ref<string[], string[]>;
    prioritizedParallelSceneKeys: globalThis.Ref<string[], string[]>;
    removeParallelScene: (scene: SceneWithPlugins, sceneKey: SceneWithPlugins["scene"]["key"]) => void;
    rootSceneKey: Ref<SceneWithPlugins["scene"]["key"]>;
    switchToScene: (newSceneKey: SceneWithPlugins["scene"]["key"]) => Promise<void>;
}, "game">, Pick<{
    game: globalThis.WritableComputedRef<Game | undefined, Game | undefined>;
    isSameScene: (newSceneKey: SceneWithPlugins["scene"]["key"]) => boolean;
    launchParallelScene: (scene: SceneWithPlugins, sceneKey: SceneWithPlugins["scene"]["key"]) => void;
    parallelSceneKeys: globalThis.Ref<string[], string[]>;
    prioritizedParallelSceneKeys: globalThis.Ref<string[], string[]>;
    removeParallelScene: (scene: SceneWithPlugins, sceneKey: SceneWithPlugins["scene"]["key"]) => void;
    rootSceneKey: Ref<SceneWithPlugins["scene"]["key"]>;
    switchToScene: (newSceneKey: SceneWithPlugins["scene"]["key"]) => Promise<void>;
}, "isSameScene" | "launchParallelScene" | "removeParallelScene" | "switchToScene">>;
