import { GameObjects } from 'phaser';
export declare const ShapeSetterMap: {
    readonly active: (gameObject: GameObjects.Shape) => (value: boolean | undefined) => void;
    readonly displayHeight: (gameObject: GameObjects.Shape) => (value: number | undefined) => void;
    readonly displayWidth: (gameObject: GameObjects.Shape) => (value: number | undefined) => void;
    readonly fillAlpha: (gameObject: GameObjects.Shape) => (value: number | undefined) => GameObjects.Shape;
    readonly fillColor: (gameObject: GameObjects.Shape) => (value: number | undefined) => GameObjects.Shape;
    readonly strokeStyle: (gameObject: GameObjects.Shape) => (value: [lineWidth?: number | undefined, color?: number | undefined, alpha?: number | undefined] | undefined) => void;
    readonly visible: (gameObject: GameObjects.Components.Visible) => (value: boolean | undefined) => void;
    readonly angle: (gameObject: GameObjects.Components.Transform) => (value: number | undefined) => GameObjects.Components.Transform;
    readonly rotation: (gameObject: GameObjects.Components.Transform) => (value: number | undefined) => GameObjects.Components.Transform;
    readonly scale: (gameObject: GameObjects.Components.Transform) => (value: number | undefined) => GameObjects.Components.Transform;
    readonly scaleX: (gameObject: GameObjects.Components.Transform) => (value: number | undefined) => GameObjects.Components.Transform;
    readonly scaleY: (gameObject: GameObjects.Components.Transform) => (value: number | undefined) => GameObjects.Components.Transform;
    readonly w: (gameObject: GameObjects.Components.Transform) => (value: number | undefined) => GameObjects.Components.Transform;
    readonly x: (gameObject: GameObjects.Components.Transform) => (value: number | undefined) => GameObjects.Components.Transform;
    readonly y: (gameObject: GameObjects.Components.Transform) => (value: number | undefined) => GameObjects.Components.Transform;
    readonly z: (gameObject: GameObjects.Components.Transform) => (value: number | undefined) => GameObjects.Components.Transform;
    readonly scrollFactor: (gameObject: GameObjects.Components.ScrollFactor) => (value: number | undefined) => void;
    readonly scrollFactorX: (gameObject: GameObjects.Components.ScrollFactor) => (value: number | undefined) => void;
    readonly scrollFactorY: (gameObject: GameObjects.Components.ScrollFactor) => (value: number | undefined) => void;
    readonly pipeline: (gameObject: GameObjects.Components.Pipeline) => (value: Phaser.Renderer.WebGL.WebGLPipeline | undefined) => void;
    readonly displayOriginX: (gameObject: GameObjects.Components.Origin) => (value: number | undefined) => GameObjects.Components.Origin;
    readonly displayOriginY: (gameObject: GameObjects.Components.Origin) => (value: number | undefined) => GameObjects.Components.Origin;
    readonly origin: (gameObject: GameObjects.Components.Origin) => (value: number | undefined) => GameObjects.Components.Origin;
    readonly originX: (gameObject: GameObjects.Components.Origin) => (value: number | undefined) => GameObjects.Components.Origin;
    readonly originY: (gameObject: GameObjects.Components.Origin) => (value: number | undefined) => GameObjects.Components.Origin;
    readonly mask: (gameObject: GameObjects.Components.Mask) => (value: Phaser.Display.Masks.BitmapMask | Phaser.Display.Masks.GeometryMask | undefined) => void;
    readonly depth: (gameObject: GameObjects.Components.Depth & GameObjects.GameObject) => (value: number | undefined) => void;
    readonly blendMode: (gameObject: GameObjects.Components.BlendMode) => (value: string | number | Phaser.BlendModes | undefined) => void;
    readonly alpha: (gameObject: GameObjects.Components.AlphaSingle) => (value: number | undefined) => GameObjects.Components.AlphaSingle;
};
